Bug 254801 - games/exult: Update to 1.7.0
Summary: games/exult: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/exult/exult/releas...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-05 18:52 UTC by Gian-Simon Purkert
Modified: 2021-04-13 11:24 UTC (History)
2 users (show)

See Also:


Attachments
Update to 1.7.0 (7.48 KB, patch)
2021-04-05 18:52 UTC, Gian-Simon Purkert
no flags Details | Diff
Revised patch (7.76 KB, patch)
2021-04-08 10:03 UTC, Gian-Simon Purkert
no flags Details | Diff
Revised patch (7.68 KB, patch)
2021-04-08 10:05 UTC, Gian-Simon Purkert
no flags Details | Diff
Revised patch (7.89 KB, patch)
2021-04-10 15:12 UTC, Gian-Simon Purkert
no flags Details | Diff
Revised patch (7.76 KB, patch)
2021-04-10 15:16 UTC, Gian-Simon Purkert
no flags Details | Diff
Revised patch -> Alsa supported (7.79 KB, patch)
2021-04-10 16:28 UTC, Gian-Simon Purkert
no flags Details | Diff
Patch for exult (8.06 KB, patch)
2021-04-10 23:53 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-04-05 18:52:16 UTC
Created attachment 223838 [details]
Update to 1.7.0

Instead of SDL1 and 2, SDL2 is the only supported Version since Exult 1.7.
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-08 06:59:18 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field

Q/A:

FATAL: Makefile: [19]: use a tab (not space) after a variable name
FATAL: Makefile: [20]: use a tab (not space) after a variable name
FATAL: Makefile: [35]: use a tab (not space) after a variable name
FATAL: Makefile: [41]: use a tab (not space) after a variable name
FATAL: Makefile: [47]: use a tab (not space) after a variable name

Would you mind fixing these?

Note: $FreeBSD$ headers have been removed.
Comment 2 Gian-Simon Purkert 2021-04-08 10:03:00 UTC
Created attachment 223915 [details]
Revised patch

Removed spaces and added missing

LIB_DEPENDS 
libpng.so
libogg.so
libfreetype.so

and

USE_GNOME
gtk30 cairo gdkpixbuf2
Comment 3 Gian-Simon Purkert 2021-04-08 10:05:44 UTC
Created attachment 223916 [details]
Revised patch

Removed $FreeBSD$ headers
Comment 4 daniel.engberg.lists 2021-04-10 06:07:52 UTC
Upstream just bumped it to 20210410

I also think that we should be able to convert this to DISTVERSION (haven't tried it though)

DISTVERSIONPREFIX=	v
DISTVERSION=	1.7.0.20210410
...
GH_TAGNAME=	snapshot-${DISTVERSIONPREFIX}${DISTVERSION}

USES= compiler:c++11-lib and USE_CXXSTD= c++17 conflicts with eachother :-)

Set --with-optimization=none to avoid overriding Ports framework
Please considerring a debug knob/toggle

glib dep seems to be missing?

Best regards,
Daniel
Comment 5 Gian-Simon Purkert 2021-04-10 15:12:24 UTC
Created attachment 223987 [details]
Revised patch

Changed to DISTVERSION, removed conflict c++11/c++17, added glib dependency, added DEBUG knob.

Can you please have a look if i used "--with-optimization=none" correctly?

Thanks for the Hints and have a great Day,

Gian
Comment 6 Gian-Simon Purkert 2021-04-10 15:16:42 UTC
Created attachment 223988 [details]
Revised patch
Comment 7 Gian-Simon Purkert 2021-04-10 16:28:30 UTC
Created attachment 223989 [details]
Revised patch -> Alsa supported
Comment 8 daniel.engberg.lists 2021-04-10 23:53:50 UTC
Created attachment 224006 [details]
Patch for exult

Style fixes, pet portlint
Use alphabetical order if possible and rearrange for readability
Make ALSA optional

Poudriere testport OK 12.2-RELEASE (amd64) - Only tested with default options
Comment 9 daniel.engberg.lists 2021-04-10 23:57:10 UTC
Hi Gian-Simon,

Great work! I made some style fixes and made ALSA optional as I assume that SDL is also used for sound(?).

Sorry for late reply, my buildbox is really slow.
Comment 10 Gian-Simon Purkert 2021-04-11 10:21:54 UTC
Hi Daniel,

Thanks for the added Alsa-option.

No hurry (you probably have weekend too) better having a nice port than to rush stuff out.

I read at github the code is at c++14 ATM but if the compiler can do c++17, it automatically changes to 17 (which is their future target). 
So maybe change default to c++17? What do you think?

https://github.com/exult/exult/pull/50#issuecomment-704588291
Comment 11 daniel.engberg.lists 2021-04-11 10:53:24 UTC
We already set it at c++17 (discussed in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=254801#c4 ) so I think we can leave it at that. I think it mainly affects 11.4 which soon is EOL anyway.

If you can give the options (FLUIDSYNTH, GIMP, THUMBNAILER) a compile test and verify that they don't break plist (make check-plist) or using Poudriere I think it should be good to go as far as I can tell.
Comment 12 Gian-Simon Purkert 2021-04-11 11:21:31 UTC
>If you can give the options (FLUIDSYNTH, GIMP, THUMBNAILER) a compile test and verify that they don't break plist (make check-plist) or using Poudriere I think it should be good to go as far as I can tell.

All of them don't break plist, however the Gimp-plugin does not compile ATM.
Comment 13 commit-hook freebsd_committer 2021-04-13 06:03:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d24b0121abfa01d0ba3f0da54b44745b93c08da9

commit d24b0121abfa01d0ba3f0da54b44745b93c08da9
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-08 11:00:14 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-13 05:59:23 +0000

    games/exult: Update to 1.7.0

    ChangeLog: https://github.com/exult/exult/releases/tag/snapshot-v1.7.0.20210405

    PR:     254801
    Reported by:    gspurki@gmail.com

 games/exult/Makefile                        | 44 +++++++++-----------
 games/exult/distinfo                        |  5 ++-
 games/exult/files/patch-configure.ac (gone) | 20 ---------
 games/exult/files/pkg-message.in            |  1 -
 games/exult/pkg-descr                       |  2 +-
 games/exult/pkg-plist                       | 63 ++++++++++++++++++++---------
 6 files changed, 65 insertions(+), 70 deletions(-)
Comment 14 Fernando Apesteguía freebsd_committer 2021-04-13 06:04:40 UTC
Committed,

Thanks!
Comment 15 Gian-Simon Purkert 2021-04-13 08:26:13 UTC
Hy Fernando,

What is that for a patch? several thing are not good.

Alsa is supported, no Debug option, no Alsa option, no additional libdepends.

It's like the first "proto"-patch went in.
Comment 16 Fernando Apesteguía freebsd_committer 2021-04-13 08:28:51 UTC
(In reply to Gian-Simon Purkert from comment #15)
Hi,

Sorry. I might have had not the last one. 

Would you mind leaving just one patch as de definite and marking all the rest as obsolete?

Thanks
Comment 17 Gian-Simon Purkert 2021-04-13 08:36:05 UTC
Hi Fernando,

Thank you very much for the fast answer,
there is now just one Attachment "Patch for exult (8.06 KB, patch)"

Have a great Day,

Gian-Simon
Comment 18 commit-hook freebsd_committer 2021-04-13 11:24:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=91f15977cec6282962f2fd6599799b16949e8c21

commit 91f15977cec6282962f2fd6599799b16949e8c21
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-13 11:15:11 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-13 11:19:35 +0000

    games/exult: fixup after aae00cbee1cef8d51abff5de932f7cf64c62dc87

    Apparently, I did not pick up the very last patch in the PR.

    This additional commit adds the remaining bits discussed in the PR:

    * Convert to DISTVERSION
    * Use c++17
    * Add missing glib dependency
    * Make ALSA optional
    * Reorder some variables

    PR: 254801
    Reported by: gspurki@gmail.com

 games/exult/Makefile  | 61 +++++++++++++++++++++++++++++++--------------------
 games/exult/distinfo  |  6 ++---
 games/exult/pkg-descr | 13 +++++++----
 games/exult/pkg-plist | 32 +++++++++++++++------------
 4 files changed, 67 insertions(+), 45 deletions(-)
Comment 19 Fernando Apesteguía freebsd_committer 2021-04-13 11:24:52 UTC
We should be good now.

Thanks for the heads up!